<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">

<node>

  <interface name="org.bluez.mesh.Provisioner1">

    <method name="ScanResult">

      <arg name="rssi" type="n" direction="in"/>
      <arg name="data" type="ay" direction="in"/>
      <arg type="a{sv}" name="options" direction="in"/>
      <annotation name="org.qtproject.QtDBus.QtTypeName.In2" value="QVariantMap"/>


    </method>

    <method name="RequestProvData">
      <arg name="count" type="y" direction="in"/>
      <arg name="net_index" type="q" direction="out"/>
      <arg name="unicast" type="q" direction="out"/>
    </method>

    <method name="AddNodeComplete">
      <arg name="uuid" type="ay" direction="in"/>
      <arg name="unicast" type="q" direction="in"/>
      <arg name="count" type="y" direction="in"/>
    </method>

    <method name="AddNodeFailed">
      <arg name="uuid" type="ay" direction="in"/>
      <arg name="reason" type="s" direction="in"/>
    </method>

  </interface>

</node>
